#!/usr/bin/env bash

######################################################################
# @author      : kyle (kyle@imap.cc)
# @file        : build-container.sh
# @created     : Wednesday Oct 18, 2023 15:04:57 PDT
#
# @description : build a new container image
######################################################################

set -eu

CONTAINERFILE="${1}"
IMAGE_NAME="git.wntrmute.dev/${2}"

podman build -t ${IMAGE_NAME} -f ${CONTAINERFILE}
if [ "${BUILD_NO_PUSH:-no}" != "yes" ]
then
	podman push ${IMAGE_NAME}
	#podman container prune --force
	#podman image prune --force
fi
